Package com.sun.jna.platform.win32

# Class WinNT.TOKEN_USER

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.TOKEN_USER

Enclosing interface:
  WinNT

@FieldOrder("User") public static class WinNT.TOKEN_USER extends Structure
The TOKEN_USER structure identifies the user associated with an access token.

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`WinNT.SID_AND_ATTRIBUTES`
`User`
Specifies a SID_AND_ATTRIBUTES structure representing the user associated with the access token.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`TOKEN_USER()`
`TOKEN_USER(int size)`
`TOKEN_USER(Pointer memory)`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### User

public WinNT.SID_AND_ATTRIBUTES User
Specifies a SID_AND_ATTRIBUTES structure representing the user associated with the access token. There are currently no attributes defined for user security identifiers (SIDs).

## Constructor Details

### TOKEN_USER

public TOKEN_USER()

### TOKEN_USER

public TOKEN_USER(Pointer memory)

### TOKEN_USER

public TOKEN_USER(int size)